<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 23/7/2018
 * Time: 7:34 PM
 */


include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['dias']) || isset($_REQUEST['monto']) || isset($_REQUEST['cantidad_coutas'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $condominioData = $condominio["condominio_id"];
            $parametromoroso = R::dispense('parametromoroso');
            if (isset($_REQUEST['dias'])){
                $parametromoroso->dias = $_REQUEST['dias'];
            }elseif (isset($_REQUEST['monto'])){
                $parametromoroso->monto = $_REQUEST['monto'];
            }elseif (isset($_REQUEST['cantidad_coutas'])){
                $parametromoroso->cantidad_coutas = $_REQUEST['cantidad_coutas'];
            }
            $parametromoroso->id_condominio=$condominioData;
            $parametromoroso->id_autor = $creadoPor;
            $parametromoroso->fechaRegistro = date('Y-m-d H:i:s');
            $parametromoroso->fechaModificacion = date('Y-m-d H:i:s');
            $parametromoroso->estado = 1;
            $id = R::store($parametromoroso);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}